For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
        • Abandoned Cart Emails
        • Custom Template Associations
        • Email Templates
        • Pages
            • GETList Pages
            • POSTCreate Pages
            • PUTUpdate Pages
            • DELDelete Pages
            • GETGet Page
            • PUTUpdate Page
            • DELDelete Page
        • Marketing
        • Store Content
        • Themes
        • Widgets
        • Page Widgets
      • Payments
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTAdminContentPages

Create Pages

POST
https://api.bigcommerce.com/stores/:store_hash/v3/content/pages
POST
/stores/:store_hash/v3/content/pages
$curl -X POST https://api.bigcommerce.com/stores/store_hash/v3/content/pages \
> -H "Accept: application/json" \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "0": {
> "channel_id": 1,
> "name": "Homepage Introduction",
> "is_visible": true,
> "parent_id": 0,
> "sort_order": 1,
> "type": "page",
> "body": "<div>Welcome to our homepage! Discover our latest products and offers.</div>",
> "is_homepage": true,
> "meta_title": "Welcome to Our Store",
> "meta_keywords": "homepage, introduction, welcome",
> "meta_description": "Introduction to our store'\''s homepage with latest updates and offers.",
> "search_keywords": "homepage,welcome,store",
> "url": "/homepage-introduction"
> },
> "1": {
> "channel_id": 547,
> "name": "Secondary Channel Info",
> "is_visible": true,
> "parent_id": 0,
> "sort_order": 2,
> "type": "page",
> "body": "<div>Information tailored for our secondary channel customers.</div>",
> "is_homepage": false,
> "meta_title": "Secondary Channel Overview",
> "meta_keywords": "secondary channel, info, customers",
> "meta_description": "Details and information for customers of our secondary sales channel.",
> "search_keywords": "secondary,channel,info",
> "url": "/secondary-channel-info"
> },
> "name": "About Our Company",
> "type": "page"
>}'
1{
2 "data": {
3 "id": 101,
4 "channel_id": 1,
5 "name": "About Our Company",
6 "is_visible": true,
7 "parent_id": 0,
8 "sort_order": 0,
9 "type": "page",
10 "is_homepage": false,
11 "is_customers_only": false,
12 "url": "/about-our-company",
13 "meta_title": "Learn About Our Company",
14 "meta_keywords": "company,about us,history",
15 "meta_description": "Information about our company's history, mission, and values.",
16 "search_keywords": "company,about us,history"
17 },
18 "meta": {
19 "pagination": {
20 "total": 3,
21 "count": 3,
22 "per_page": 10,
23 "current_page": 1,
24 "total_pages": 1,
25 "links": {
26 "previous": "",
27 "current": "https://api.bigcommerce.com/stores/store_hash/v3/content/pages?page=1",
28 "next": ""
29 }
30 }
31 }
32}
Creates one or more content pages. This endpoint supports bulk operations. Web pages created via this endpoint are subject to the 4000 web page platform limit. Attempting to create pages over the limit will return an error. For more information on platform limits, see [Platform Limits (Help Center)](https://support.bigcommerce.com/s/article/Platform-Limits).
Was this page helpful?
Previous

List Pages

Next

Update Pages

Built with

Creates one or more content pages. This endpoint supports bulk operations.

Web pages created via this endpoint are subject to the 4000 web page platform limit. Attempting to create pages over the limit will return an error. For more information on platform limits, see Platform Limits (Help Center).

Authentication

X-Auth-Tokenstring
### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify |`store_v2_content`| | Content | read-only |`store_v2_content_read_only`| ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

Query parameters

includelist of enumsOptional

Include the requested property in the response. The body property returns the page’s markup, text, or raw content.

Allowed values:

Request

Create single page using objectobjectRequired
OR
Create multiple pages using arraylist of objectsRequired

Response

Created. Response.data will inherit the data type of the request. A single entry passed as an object will return an object for the data property. Any number of entries passed in an array will return an array for the data property. Properties associated with a page `type` that are not required to create an entry will be created with default values. When you make bulk requests, an invalid input in any one entry will return 422. The entries that are valid will still be created.
dataobject
metaobject
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error

OAuth scopes

UI NamePermissionParameter
Contentmodifystore_v2_content
Contentread-onlystore_v2_content_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Created.

Response.data will inherit the data type of the request. A single entry passed as an object will return an object for the data property. Any number of entries passed in an array will return an array for the data property.

Properties associated with a page type that are not required to create an entry will be created with default values.

When you make bulk requests, an invalid input in any one entry will return 422. The entries that are valid will still be created.